petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDANaturalAllToGlobalCreate

Creates a scatter context that maps from a copy of the entire vector on each processor to its local part in the global vector.

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDANaturalAllToGlobalCreate(DM da,VecScatter *scatter)

Collective on DMDA

### Input Parameter

da -the distributed array context

### Output Parameter

scatter -the scatter context

### Keywords

distributed array, global to local, begin, coarse problem

### See Also

DMDAGlobalToNaturalEnd(), DMLocalToGlobalBegin(), DMDACreate2d(),
DMGlobalToLocalBegin(), DMGlobalToLocalEnd(), DMDACreateNaturalVector()

### Level

advanced

### Location

src/dm/impls/da/dagtona.c

### Examples

src/dm/examples/tutorials/ex2.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages